# Generated by Django 4.2.6 on 2023-10-11 22:04

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('publication', '__first__'),
    ]

    operations = [
        migrations.CreateModel(
            name='Mapping',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('description', models.TextField(blank=True)),
                ('secret_key', models.TextField(max_length=255)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('leader', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
                ('reviewers', models.ManyToManyField(related_name='reviewer_users', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='PublicationList',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64)),
                ('type', models.CharField(choices=[('M', 'Manual'), ('A', 'Automated')], default='M', max_length=1)),
                ('criteria', models.TextField(blank=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('followers', models.ManyToManyField(blank=True, related_name='my_followers', to='mapping.publicationlist')),
                ('mapping', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mapping.mapping')),
                ('publications', models.ManyToManyField(blank=True, to='publication.publication')),
                ('reviewer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('subscriptions', models.ManyToManyField(blank=True, related_name='my_subscriptions', to='mapping.publicationlist')),
            ],
        ),
        migrations.CreateModel(
            name='Review',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('publication_list', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mapping.publicationlist')),
                ('reviewer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserField',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('caption', models.CharField(max_length=64)),
                ('value', models.CharField(max_length=2048)),
                ('type', models.CharField(choices=[('T', 'Text'), ('N', 'Number'), ('B', 'Boolean'), ('L', 'List')], max_length=1)),
                ('publication_list', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mapping.publicationlist')),
                ('reviewer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserPreferences',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('default_page_size', models.PositiveSmallIntegerField(default=25)),
                ('default_list', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='mapping.publicationlist')),
                ('default_mapping', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='mapping.mapping')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserFieldReview',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('checked', models.BooleanField(default=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('publication', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publication.publication')),
                ('review', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mapping.review')),
                ('reviewer_field', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mapping.userfield')),
            ],
        ),
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('comment', models.TextField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('original', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='original_comment', to='mapping.comment')),
                ('publication', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publication.publication')),
                ('review', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mapping.review')),
                ('reviewer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
