# Generated by Django 4.2.6 on 2023-10-11 22:04

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Affiliation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('institute', models.CharField(max_length=1024)),
            ],
        ),
        migrations.CreateModel(
            name='Author',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=1024)),
                ('last_name', models.CharField(max_length=1024)),
                ('ORCID', models.SlugField(max_length=1024, null=True)),
                ('affiliation', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='publication.affiliation')),
            ],
        ),
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=1024, unique=True)),
                ('other_forms', models.TextField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=2048)),
                ('type', models.CharField(max_length=2048)),
                ('publisher', models.CharField(blank=True, max_length=2048)),
                ('acronym', models.CharField(blank=True, max_length=10)),
                ('volume', models.SlugField(blank=True)),
                ('number', models.SlugField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='Keywords',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=512, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Source',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=1024)),
            ],
        ),
        migrations.CreateModel(
            name='Publication',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=1024)),
                ('clean_title', models.CharField(max_length=1024)),
                ('year', models.PositiveSmallIntegerField()),
                ('date_added', models.DateField(auto_now=True)),
                ('abstract', models.TextField(blank=True)),
                ('doi', models.SlugField(max_length=1024, unique=True)),
                ('author_keywords', models.ManyToManyField(related_name='author_keys', to='publication.keywords')),
                ('authors', models.ManyToManyField(to='publication.author')),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='publication.event')),
                ('index_keywords', models.ManyToManyField(related_name='index_keys', to='publication.keywords')),
                ('source', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='publication.source')),
            ],
        ),
        migrations.CreateModel(
            name='FullText',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(choices=[('H', 'text/html'), ('P', 'application/pdf'), ('X', 'text/xml'), ('T', 'text/plain')], default='T', max_length=1)),
                ('address', models.CharField(max_length=128)),
                ('url', models.URLField(max_length=1024)),
                ('publication', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publication.publication')),
            ],
        ),
        migrations.AddField(
            model_name='affiliation',
            name='country',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publication.country'),
        ),
    ]
